Retrieves the Contract with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contract| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| id2 |
id2 |
integer |
Required |
| company_id |
The company owner of this contract |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contract |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contract |
company |
Optionally required : company_id, company_code or company must be provided |
| reference |
Reference |
string | |
| reference_back_office |
Backoffice reference |
string | |
| reference_customer |
Customer Reference |
string | |
| date_start |
Start Date of the contract |
date | |
| date_end |
Contract End date |
date | |
| date_cancel |
Readonly , date +time when the contract goes in status Cancelled |
date | |
| date_last_invoiced |
Readonly contains the last date an invoice has been generated for this contract |
date | |
| name |
Name of the contract |
string | |
| description |
Description of Contract |
string | |
| feelist_id |
Feelist ID |
globally unique identifier | |
| article_price_label_id |
Article Price Llabel Id |
globally unique identifier | |
| account_manager_user_id |
FK of Account manager user |
globally unique identifier | |
| account_manager_user |
Embedded entity "account_manager_user" using ERP PK when adding/updating account_manager_user |
user | |
| account_manager_user_code |
Embedded entity "account_manager_user" using ERP PK when adding/updating account_manager_user |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| renewal_term_months |
Renewal Term Months |
integer |
Range: inclusive between 0 and 1000000 |
| feelist_warranty_discount |
Feelist Warranty Discount |
decimal number |
Range: inclusive between 0 and 100 |
| price_label_warranty_discount |
Price Label Warranty Discount |
decimal number |
Range: inclusive between 0 and 100 |
| driving_distance |
Distance in km that are used to invoice the travel |
decimal number | |
| travel_fee_fix_discount |
Discount applied when computing the fee for travel |
decimal number |
Response Formats
application/json, text/json
{
"id": "c40251f9-ba21-41e3-b702-2bcd1379ec9c",
"id2": 2,
"company_id": "d3ca65b7-c978-430f-ae3f-4db2df41da67",
"company_code": "sample string 4",
"reference": "sample string 5",
"reference_back_office": "sample string 6",
"reference_customer": "sample string 7",
"date_start": "2026-04-18T03:50:38.7033553+00:00",
"date_end": "2026-04-18T03:50:38.7033553+00:00",
"date_cancel": "2026-04-18T03:50:38.7033553+00:00",
"date_last_invoiced": "2026-04-18T03:50:38.7033553+00:00",
"name": "sample string 12",
"description": "sample string 13",
"feelist_id": "9aef7943-4d13-4db2-9fa8-78024d3ef738",
"article_price_label_id": "b783662d-4275-4645-b5e0-0e7453242709",
"account_manager_user_id": "13d24928-65b6-48ac-a4b1-ccb8e28ff77b",
"account_manager_user": {
"id": "134d6131-859b-44e7-81ec-2a1e899a67c4",
"db_language_id": "19f99626-5a55-4897-9c48-d9681d5bcd62",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-04-18T03:50:38.7033553+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "0f14f80b-8797-459b-9b03-bed1e0f24f53",
"sales_organization": {
"id": "0965a059-9e08-44f9-9a03-f3476cec68ac",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9555abe7-44b7-4b2a-a166-5381efe0ca3c",
"db_currency_id": "c750a41b-298a-4065-819c-0a46a581632b",
"db_language_id": "fb57b605-80b2-4fc9-8812-9149691750e2",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-04-18T03:50:38.7033553+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "6f5272da-707b-480b-9b9c-38cc4741444f",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "6d37fb9a-4338-404b-b688-ac503827eb63",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-04-18T03:50:38.7033553+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "73fbd625-8f59-440d-b178-2eaa56c76ab2"
},
"account_manager_user_code": "sample string 17",
"modified_dateutc": "2026-04-18T03:50:38.7033553+00:00",
"renewal_term_months": 19,
"feelist_warranty_discount": 20.0,
"price_label_warranty_discount": 21.0,
"driving_distance": 22.0,
"travel_fee_fix_discount": 23.0
}